Package Details: ncview 2.1.7-1

Git Clone URL: https://aur.archlinux.org/ncview.git (read-only)
Package Base: ncview
Description: A visual browser for netCDF format files
Upstream URL: http://meteora.ucsd.edu/~pierce/ncview_home_page.html
Licenses: GPL3
Submitter: graziano
Maintainer: graziano
Last Packager: graziano
Votes: 7
Popularity: 0.030277
First Submitted: 2006-11-23 14:33
Last Updated: 2016-05-06 06:55

Latest Comments

graziano commented on 2013-11-21 09:34

Thanks Xyne!

Xyne commented on 2013-11-21 02:17

Hi,

I have uploaded an updated version of the PKGBUILD with a "prepare" function and proper quoting around the path variables. You can find it here:
http://xyne.archlinux.ca/tmp/pkgbuilds/

Thanks for maintaining this package.

Regards,
Xyne

graziano commented on 2013-07-29 07:21

@felixonmars, thanks for your PKGBUILD review!

felixonmars commented on 2013-07-27 15:47

The " || return 1" thing is not needed anymore as it's been default behavior.

Also, please quote "$srcdir" and "$pkgdir", thanks!

ChuckFinn commented on 2012-11-07 21:43

udunits2 is now provided by community/udunits

graziano commented on 2012-02-06 09:11

This package depends on linpng, so need recompile after libpng/libtiff update of 2012-02-05

graziano commented on 2011-08-03 11:52

Package obsoleted to be removed: default ncview is now in version2. Use ncview package.

graziano commented on 2010-11-07 11:03

Got it.

XavierCLL commented on 2010-11-06 16:53

the location of install ncview2 is wrong: /usr/usr/bin/ncview

big_gie commented on 2010-10-14 14:13

Thanks, it works now ;)

graziano commented on 2010-10-14 14:12

Sorry, my fault.

big_gie commented on 2010-10-14 14:02

I think the makefile is trying to install in /usr, not $pkgdir/usr...
cc -L. -ludunits2 -lexpat -L. -ludunits2 -L/usr/lib -lnetcdf -lSM -lICE -lX11 -Wl,-R,/usr/lib -Wl,--hash-style=gnu -Wl,--as-needed -o ncview ncview.o file.o util.o do_buttons.o file_netcdf.o view.o do_print.o epic_time.o interface.o x_interface.o dataedit.o display_info.o plot_xy.o utils.o range.o printer_options.o overlay.o filesel.o set_options.o plot_range.o udu.o SciPlot.o RadioWidget.o cbar.o utCalendar2_cal.o calcalcs.o -L. -ludunits2 -lexpat -L. -ludunits2 -lm -L/usr/lib -lnetcdf -lXaw -lXt -lSM -lICE -lX11
make[2]: Leaving directory `/home/nicolas/fichiers/programmes/PKGBUILDs/aur/ncview2/src/ncview-2.0beta4/src'
make[2]: Entering directory `/home/nicolas/fichiers/programmes/PKGBUILDs/aur/ncview2/src/ncview-2.0beta4'
make[2]: Leaving directory `/home/nicolas/fichiers/programmes/PKGBUILDs/aur/ncview2/src/ncview-2.0beta4'
make[1]: Leaving directory `/home/nicolas/fichiers/programmes/PKGBUILDs/aur/ncview2/src/ncview-2.0beta4'
Making install in src
make[1]: Entering directory `/home/nicolas/fichiers/programmes/PKGBUILDs/aur/ncview2/src/ncview-2.0beta4/src'
make[2]: Entering directory `/home/nicolas/fichiers/programmes/PKGBUILDs/aur/ncview2/src/ncview-2.0beta4/src'
test -z "/usr/bin" || /bin/mkdir -p "/usr/bin"
make[2]: Nothing to be done for `install-data-am'.
/bin/install -c 'ncview' '/usr/bin/ncview'
/bin/install: cannot create regular file `/usr/bin/ncview': Permission denied
make[2]: *** [install-binPROGRAMS] Error 1
make[2]: Leaving directory `/home/nicolas/fichiers/programmes/PKGBUILDs/aur/ncview2/src/ncview-2.0beta4/src'
make[1]: *** [install-am] Error 2
make[1]: Leaving directory `/home/nicolas/fichiers/programmes/PKGBUILDs/aur/ncview2/src/ncview-2.0beta4/src'
make: *** [install-recursive] Error 1
Aborting...

jedbrown commented on 2010-08-02 08:31

Unflagged as out of date. A 2.0 release has not been made yet, it's just a beta, and has quite different dependencies. Make a ncview-beta (or ncview2) package if you want it.

big_gie commented on 2010-07-27 16:54

I can't build:
checking /usr/include/ppm.h usability... no
checking /usr/include/ppm.h presence... no
checking for /usr/include/ppm.h... no
Error: user specified ppm include directory does not have ppm.h!
Aborting...

I can build only by commenting "--with-ppm_incdir" and "--with-ppm_libdir"...

Also, it tries to install in /usr, I think make install wants prefix=$pkgdir/usr, not prefix=/usr

nc_overlay.* is not present, had to comment it out.